=== tests/reproducers/custom/remote/srcs/Makefile ===
prepare-reproducer:
	echo "Nothing to do to prepare remote reproducers now"

clean-reproducer:
	echo "Nothing to do to clean remote reproducers now"
