=== debian/changelog ===
icedtea-web (1.8.8-2) unstable; urgency=medium

  * Team upload.
  * Removed pack200 support to build with Java 17 (Closes: #1011532)
  * Standards-Version updated to 4.6.1
  * Updated the Homepage field

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 02 Nov 2022 10:52:30 +0100

icedtea-web (1.8.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 4.6.0.1

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 05 May 2022 13:44:49 +0200
