=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: icedtea-web
 Section: java
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Matthias Klose <doko@ubuntu.com>
 Build-Depends:
  debhelper-compat (= 12),
@@ -12,10 +11,10 @@
  libtagsoup-java,
  pkg-config,
  zip
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/java-team/icedtea-web.git
 Vcs-Browser: https://salsa.debian.org/java-team/icedtea-web
-Homepage: http://icedtea.classpath.org/wiki/IcedTea-Web
+Homepage: https://github.com/AdoptOpenJDK/IcedTea-Web
 
 Package: icedtea-netx
 Architecture: all
