=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 	                                       --with-jdk-home=/usr/lib/jvm/default-java
 
 override_dh_auto_build:
-	rm -Rf netx/sun netx/net/sourceforge/jnlp/NetxPanel.java
+	rm -Rf netx/sun netx/net/sourceforge/jnlp/NetxPanel.java netx/sun/applet/AppletViewerPanelAccess.java netx/sun/applet/package-info.java
 	MODULARJDK_ARGS_DIR=/usr/share/icedtea-web/bin/itw-modularjdk.args \
 	$(MAKE) -C build VERSION_DEFS='-DHAVE_JAVA9'
