=== debian/watch ===
version=4
opts="repack,compression=xz" \
https://github.com/AdoptOpenJDK/IcedTea-Web/tags .*/icedtea-web-([\d\.]+)(?:-branchpoint)?\.tar\.gz
